@ECHO OFF
CLS
ECHO.
ECHO Welcome to the Disney Software Sound Blaster Update Patch Installation.
ECHO.
ECHO This batch file that you are now running will do three things:
ECHO.
ECHO 1.  Delete old files that are no longer necessary.
ECHO.
ECHO 2.  Install the new updated files to improve the sound quality
ECHO     on your Blaster or 100% compatible sound card.
ECHO.
ECHO 3.  Place a Windows 3.1 Launcher Icon in your program directory.
ECHO     Setup instructions for this Icon can be found in the file
ECHO     README.TXT in this directory.  You can use any text editor to
ECHO     view that file for more instructions.
ECHO.
ECHO Now we will begin the installation for the Stunt Island sound patch.
ECHO.
PAUSE
CLS
ECHO.
ECHO First we will make sure that you are in the proper directory.
ECHO.
IF EXIST STUNT.EXE GOTO :GOODEND
IF NOT EXIST STUNT.EXE GOTO :BADEND
GOTO END

:BADEND
ECHO.
ECHO  ERROR -- STUNT.EXE was not found in the current directory.  You 
ECHO           are not in the sub-directory where Stunt Island is 
ECHO           installed.  Please make sure that you move the files 
ECHO           PATSI.BAT, P3-SI1.EXE, P3-SI2.EXE, P3-SI3.EXE, P3-SI4.EXE and 
ECHO           P3-SI5.EXE to the directory where Stunt Island is 
ECHO           installed, and then try running PATSI again to successfully 
ECHO           install the Sound Blaster Patch.
ECHO.
PAUSE
GOTO END

:GOODEND
ECHO.
ECHO OK -- STUNT.EXE file was found in the current directory, now we
ECHO       will look an see if you have all three update files.
ECHO.
IF EXIST P3-SI1.EXE GOTO :NEXTB
IF NOT EXIST P3-SI1.EXE GOTO :NOFILE

:NEXTB
IF EXIST P3-SI2.EXE GOTO :NEXTC
IF NOT EXIST P3-SI2.EXE GOTO :NOFILE

:NEXTC
IF EXIST P3-SI3.EXE GOTO :NEXTD
IF NOT EXIST P3-SI3.EXE GOTO :NOFILE

:NEXTD
IF EXIST P3-SI4.EXE GOTO :NEXTE
IF NOT EXIST P3-SI4.EXE GOTO :NOFILE

:NEXTE
IF EXIST P3-SI5.EXE GOTO :SETUP
IF NOT EXIST P3-SI5.EXE GOTO :NOFILE
GOTO SETUP

:NOFILE
ECHO. 
ECHO ERROR -- One of the following four files is not available.
ECHO          Please make sure the following files are in the same
ECHO          directory where Stunt Island is installed, and then
ECHO          attempt to run PATSI again.  The files required are:
ECHO.
ECHO          PATSI.BAT, P3-SI1.EXE, P3-SI2.EXE, P3-SI3.EXE, P3-SI4.EXE 
ECHO          and P3-SI5.EXE.
ECHO.
GOTO END

:SETUP
ECHO OK -- All of the correct files are here, and we will now begin 
ECHO       installing the Sound Blaster patch.
ECHO.
PAUSE
ECHO.
DEL GAME.CFG
DEL INSTALL.EXE
DEL INSTALL.CFG
DEL STUNT.EXE
DEL MAKEONE.EXE
DEL PLAYONE.EXE
CD RES
DEL MUSIC1.ESS
DEL MUSIC2.ESS
DEL SPRITES.RES
DEL COMMNSND.SMP
DEL SNDFX2.SMP
CD..
P3-SI1 -d
P3-SI2 -d
P3-SI3 -d
P3-SI4 -d
P3-SI5 -d

ECHO.
ECHO Now we will run the SETUP program to reselect your options for 
ECHO Stunt Island.  Please make the proper selections for your
ECHO system and when you are finished, the new patch will be installed,
ECHO and the program should work properly.
ECHO.
SETUP

:END
REM CLS
